/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\sawyerquest\smuggler.cs
Lines of code: 79
***********************************************************/


using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a smuggler corpse" )]
	public class smugglernpc : BaseCreature
	{
		public override bool ClickTitle{ get{ return false; } }

		[Constructable]
		public smugglernpc() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.13, 0.24 )
		{
			SpeechHue = Utility.RandomDyedHue();
			Hue = Utility.RandomSkinHue();
			Name = "a smuggler";
			Body = (( this.Female = Utility.RandomBool() ) ? Body = 0x191 : Body = 0x190);
			
			Hue = Utility.RandomSkinHue();

			SetStr( 80,110 );
			SetDex( 67, 100 );
			SetInt( 15, 45 );


			SetDamage( 11, 17 );


			SetResistance( ResistanceType.Physical, 45, 70 );
			SetResistance( ResistanceType.Fire, 45, 70 );
			SetResistance( ResistanceType.Cold, 45, 70 );
			SetResistance( ResistanceType.Poison, 45, 70 );
			SetResistance( ResistanceType.Energy, 45, 70 );

			SetSkill( SkillName.Tactics, 70, 100 );
			SetSkill( SkillName.Wrestling, 90, 100 );
			SetSkill( SkillName.Anatomy, 110.1, 100.0 );
			SetSkill( SkillName.Swords, 92.6, 150.5 );
			
			SetSkill( SkillName.Magery, 90, 100 );
			SetSkill( SkillName.EvalInt, 10, 100 );

			Fame = 700;
			Karma = -700;

			AddItem( new SamuraiTabi() );
			
			int suithue = Utility.RandomNeutralHue();

			
			AddItem( new Robe(1836) );
			
			LeatherGloves gloves = new LeatherGloves();
			gloves.Hue=1;			
			AddItem( gloves );	
			
			BoneHelm helm = new BoneHelm();
			helm.Hue=132;
			AddItem( helm );
			RadiantScimitar wep = new RadiantScimitar();
			wep.Hue=132;
			AddItem( wep );


			Utility.AssignRandomHair( this );
						
			
			Beetle mount = new Beetle();
			mount.Rider = this;
			if(0.15>Utility.RandomDouble())mount.AddToBackpack( new StolenReleasePapers() );
			mount.Name="a smuggler's Beetle";			
			mount.Hue=2406;
		}
		
		public override void OnDeath( Container c )
 		{
			base.OnDeath( c );
 		}

		

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich );
		}

		public override bool AlwaysMurderer{ get{ return true; } }
		public override bool BardImmune{ get{ return true; } }
		public override bool ShowFameTitle{ get{ return false; } }

		public smugglernpc( Serial serial ) : base( serial )
		{
		}
		


		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
